summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2015-02-10 12:24:05 +0100
committerMarc Cornellà <marc.cornella@live.com>2015-02-10 20:32:52 +0100
commit732c7b8070a75ac5ad5384b4d22d19f499e8424f (patch)
treef6cf69e12a32000ec66f5345a8f08881d8de8932
parentb62911660d3743d3dfb0116f5b05aabd67a24a06 (diff)
downloadzsh-732c7b8070a75ac5ad5384b4d22d19f499e8424f.tar.gz
zsh-732c7b8070a75ac5ad5384b4d22d19f499e8424f.tar.bz2
zsh-732c7b8070a75ac5ad5384b4d22d19f499e8424f.zip
Simplify adding workon_cwd to chpwd hook
-rw-r--r--plugins/virtualenvwrapper/virtualenvwrapper.plugin.zsh9
1 files changed, 2 insertions, 7 deletions
diff --git a/plugins/virtualenvwrapper/virtualenvwrapper.plugin.zsh b/plugins/virtualenvwrapper/virtualenvwrapper.plugin.zsh
index 0ad336917..5faa1a823 100644
--- a/plugins/virtualenvwrapper/virtualenvwrapper.plugin.zsh
+++ b/plugins/virtualenvwrapper/virtualenvwrapper.plugin.zsh
@@ -64,12 +64,7 @@ if [[ ! $DISABLE_VENV_CD -eq 1 ]]; then
# Append workon_cwd to the chpwd_functions array, so it will be called on cd
# http://zsh.sourceforge.net/Doc/Release/Functions.html
- # TODO: replace with 'add-zsh-hook chpwd workon_cwd' when oh-my-zsh min version is raised above 4.3.4
- if (( ${+chpwd_functions} )); then
- if (( $chpwd_functions[(I)workon_cwd] == 0 )); then
- set -A chpwd_functions $chpwd_functions workon_cwd
- fi
- else
- set -A chpwd_functions workon_cwd
+ if ! (( $chpwd_functions[(I)workon_cwd] )); then
+ chpwd_functions+=(workon_cwd)
fi
fi